Get positions
curl --request POST \
--url https://{host}/cdp-api/api/position/get-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookmark": null,
"queryArgs": null,
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
'import requests
url = "https://{host}/cdp-api/api/position/get-page"
payload = {
"bookmark": None,
"queryArgs": None,
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bookmark: null, queryArgs: null, rangeLimit: 50, paging: 'NEXT_PAGE'})
};
fetch('https://{host}/cdp-api/api/position/get-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/cdp-api/api/position/get-page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bookmark' => null,
'queryArgs' => null,
'rangeLimit' => 50,
'paging' => 'NEXT_PAGE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/cdp-api/api/position/get-page"
payload := strings.NewReader("{\n \"bookmark\": null,\n \"queryArgs\": null,\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/cdp-api/api/position/get-page")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bookmark\": null,\n \"queryArgs\": null,\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/cdp-api/api/position/get-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bookmark\": null,\n \"queryArgs\": null,\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}"
response = http.request(request)
puts response.read_body{
"bookmark": "eyJsYXN0S2V5IjoiMTAwMSJ9",
"content": [
{
"instrumentId": 5678,
"instrumentCode": "WC26-FRW",
"accountId": 1001,
"accountCode": "ACC-MAIN-001",
"subAccount": "DEFAULT",
"clearingMemberId": 200,
"clearingMemberCode": "CM-ALPHA",
"position": {
"positionQuantities": {
"longQuantity": 15,
"shortQuantity": 0,
"netQuantity": 15,
"zero": false
},
"marketValue": {
"amount": 9.75,
"currency": "USDC",
"zero": false
},
"binaryTradeValue": {
"amount": 9.75,
"currency": "USDC",
"zero": false
},
"empty": false
}
}
],
"atEnd": true
}Positions
Get positions
Returns a page of real-time positions.
POST
/
api
/
position
/
get-page
Get positions
curl --request POST \
--url https://{host}/cdp-api/api/position/get-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookmark": null,
"queryArgs": null,
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
'import requests
url = "https://{host}/cdp-api/api/position/get-page"
payload = {
"bookmark": None,
"queryArgs": None,
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bookmark: null, queryArgs: null, rangeLimit: 50, paging: 'NEXT_PAGE'})
};
fetch('https://{host}/cdp-api/api/position/get-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/cdp-api/api/position/get-page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bookmark' => null,
'queryArgs' => null,
'rangeLimit' => 50,
'paging' => 'NEXT_PAGE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/cdp-api/api/position/get-page"
payload := strings.NewReader("{\n \"bookmark\": null,\n \"queryArgs\": null,\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/cdp-api/api/position/get-page")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bookmark\": null,\n \"queryArgs\": null,\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/cdp-api/api/position/get-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bookmark\": null,\n \"queryArgs\": null,\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}"
response = http.request(request)
puts response.read_body{
"bookmark": "eyJsYXN0S2V5IjoiMTAwMSJ9",
"content": [
{
"instrumentId": 5678,
"instrumentCode": "WC26-FRW",
"accountId": 1001,
"accountCode": "ACC-MAIN-001",
"subAccount": "DEFAULT",
"clearingMemberId": 200,
"clearingMemberCode": "CM-ALPHA",
"position": {
"positionQuantities": {
"longQuantity": 15,
"shortQuantity": 0,
"netQuantity": 15,
"zero": false
},
"marketValue": {
"amount": 9.75,
"currency": "USDC",
"zero": false
},
"binaryTradeValue": {
"amount": 9.75,
"currency": "USDC",
"zero": false
},
"empty": false
}
}
],
"atEnd": true
}Authorizations
Body
application/json
Query request for positions.
Was this page helpful?